Subject: bug#13292: 24.3.50; wrong sytax description in (elisp) Case Tables

From: Wolfgang Jenkner <[email-masked]>
Date: Sat, 29 Dec 2012 16:48:31 +0100

On Sat, Dec 29 2012, Eli Zaretskii wrote:

>> From: Wolfgang Jenkner <[email-masked]>
>> Also, in contrast to the makeinfo program, texinfo-format-region would
>> produce
>> 
>>  -- Special form: count-loop (VAR [FROM TO [INC]]) BODY...
>> 
>> in both cases, with or without @var.  Perhaps, that's the reason that
>> nobody noticed at the time?
>
> I doubt that, as no one uses texinfo-format-region anymore, since it
> doesn't support so many Texinfo features introduced in recent years.

I meant a time closer to when the elisp manual was written, viz.

http://ftp.gnu.org/old-gnu/emacs/elisp-manual-20-2.5.tar.gz

has (in the node we are talking about: A Sample Function Description)

@defun foo integer1 &optional integer2 &rest integers

but the formatted manual included in that tarball has

 - Function: foo INTEGER1 &optional INTEGER2 &rest INTEGERS
 
That's the reason why Drew's report rang a bell: I remembered that years
ago I had become aware of this change from upper-case to lower-case at
some point.

>> So is there anything wrong with Drew's revised suggestion (as
>> I understand it)?

> See above.  That said, I don't want to argue anymore, so I installed
> your changes on the emacs-24 branch; thanks.

I could have done that (which is why I neglected to supply a change log
entry), but thanks.

Wolfgang